Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgTerrain::DataSet::DestinationTile Class Reference

Inheritance diagram for osgTerrain::DataSet::DestinationTile:

[legend]
List of all members.

## Public Types
typedef std::vector< osg::Vec2 > | HeightDeltaList
enum | Position { LEFT = 0, LEFT_BELOW = 1, BELOW = 2, BELOW_RIGHT = 3, RIGHT = 4, RIGHT_ABOVE = 5, ABOVE = 6, ABOVE_LEFT = 7, NUMBER_OF_POSITIONS = 8 }
## Public Member Functions
| DestinationTile ()
void | computeNeighboursFromQuadMap ()
void | setNeighbours (DestinationTile *left, DestinationTile *left_below, DestinationTile *below, DestinationTile *below_right, DestinationTile *right, DestinationTile *right_above, DestinationTile *above, DestinationTile *above_left)
void | checkNeighbouringTiles ()
void | setMaximumImagerySize (unsigned int maxNumColumns, unsigned int maxNumRows)
void | setMaximumTerrainSize (unsigned int maxNumColumns, unsigned int maxNumRows)
void | computeMaximumSourceResolution (CompositeSource *sourceGraph)
bool | computeImageResolution (unsigned int layer, unsigned int &numColumns, unsigned int &numRows, double &resX, double &resY)
bool | computeTerrainResolution (unsigned int &numColumns, unsigned int &numRows, double &resX, double &resY)
void | allocate ()
void | addRequiredResolutions (CompositeSource *sourceGraph)
void | readFrom (CompositeSource *sourceGraph)
void | allocateEdgeNormals ()
void | equalizeCorner (Position position)
void | equalizeEdge (Position position)
void | equalizeBoundaries ()
void | setTileComplete (bool complete)
bool | getTileComplete () const
void | optimizeResolution ()
osg::Node * | createScene ()
osg::StateSet * | createStateSet ()
osg::Node * | createHeightField ()
osg::Node * | createPolygonal ()
void | unrefData ()
ImageData & | getImageData (unsigned int layer)
## Public Attributes
DataSet * | _dataSet
std::string | _name
unsigned int | _level
unsigned int | _tileX
unsigned int | _tileY
GLenum | _pixelFormat
std::vector< ImageData > | _imagery
osg::ref_ptr< DestinationData > | _terrain
osg::ref_ptr< DestinationData > | _models
DestinationTile * | _neighbour [NUMBER_OF_POSITIONS]
bool | _equalized [NUMBER_OF_POSITIONS]
unsigned int | _maxSourceLevel
unsigned int | _imagery_maxNumColumns
unsigned int | _imagery_maxNumRows
unsigned int | _terrain_maxNumColumns
unsigned int | _terrain_maxNumRows
float | _terrain_maxSourceResolutionX
float | _terrain_maxSourceResolutionY
bool | _complete
HeightDeltaList | _heightDeltas [NUMBER_OF_POSITIONS]

## Member Typedef Documentation

typedef std::vector<osg::Vec2> osgTerrain::DataSet::DestinationTile::HeightDeltaList

## Member Enumeration Documentation

enum osgTerrain::DataSet::DestinationTile::Position

  | Enumeration values:
  LEFT |
  LEFT_BELOW |
  BELOW |
  BELOW_RIGHT |
  RIGHT |
  RIGHT_ABOVE |
  ABOVE |
  ABOVE_LEFT |
  NUMBER_OF_POSITIONS |

## Constructor & Destructor Documentation

osgTerrain::DataSet::DestinationTile::DestinationTile | ( |  | ) |

## Member Function Documentation

void osgTerrain::DataSet::DestinationTile::addRequiredResolutions | ( | CompositeSource * | sourceGraph | ) |

void osgTerrain::DataSet::DestinationTile::allocate | ( |  | ) |

void osgTerrain::DataSet::DestinationTile::allocateEdgeNormals | ( |  | ) |

void osgTerrain::DataSet::DestinationTile::checkNeighbouringTiles | ( |  | ) |

bool osgTerrain::DataSet::DestinationTile::computeImageResolution | ( | unsigned int | layer,
|  | unsigned int & | numColumns,
|  | unsigned int & | numRows,
|  | double & | resX,
|  | double & | resY
| ) |

void osgTerrain::DataSet::DestinationTile::computeMaximumSourceResolution | ( | CompositeSource * | sourceGraph | ) |

void osgTerrain::DataSet::DestinationTile::computeNeighboursFromQuadMap | ( |  | ) |

bool osgTerrain::DataSet::DestinationTile::computeTerrainResolution | ( | unsigned int & | numColumns,
|  | unsigned int & | numRows,
|  | double & | resX,
|  | double & | resY
| ) |

osg::Node* osgTerrain::DataSet::DestinationTile::createHeightField | ( |  | ) |

osg::Node* osgTerrain::DataSet::DestinationTile::createPolygonal | ( |  | ) |

osg::Node* osgTerrain::DataSet::DestinationTile::createScene | ( |  | ) |

osg::StateSet* osgTerrain::DataSet::DestinationTile::createStateSet | ( |  | ) |

void osgTerrain::DataSet::DestinationTile::equalizeBoundaries | ( |  | ) |

void osgTerrain::DataSet::DestinationTile::equalizeCorner | ( | Position | position | ) |

void osgTerrain::DataSet::DestinationTile::equalizeEdge | ( | Position | position | ) |

ImageData& osgTerrain::DataSet::DestinationTile::getImageData | ( | unsigned int | layer | ) | `[inline]`

bool osgTerrain::DataSet::DestinationTile::getTileComplete | ( |  | ) | const`[inline]`

void osgTerrain::DataSet::DestinationTile::optimizeResolution | ( |  | ) |

void osgTerrain::DataSet::DestinationTile::readFrom | ( | CompositeSource * | sourceGraph | ) |

void osgTerrain::DataSet::DestinationTile::setMaximumImagerySize | ( | unsigned int | maxNumColumns,
|  | unsigned int | maxNumRows
| ) | `[inline]`

void osgTerrain::DataSet::DestinationTile::setMaximumTerrainSize | ( | unsigned int | maxNumColumns,
|  | unsigned int | maxNumRows
| ) | `[inline]`

void osgTerrain::DataSet::DestinationTile::setNeighbours | ( | DestinationTile * | left,
|  | DestinationTile * | left_below,
|  | DestinationTile * | below,
|  | DestinationTile * | below_right,
|  | DestinationTile * | right,
|  | DestinationTile * | right_above,
|  | DestinationTile * | above,
|  | DestinationTile * | above_left
| ) |

void osgTerrain::DataSet::DestinationTile::setTileComplete | ( | bool | complete | ) |

void osgTerrain::DataSet::DestinationTile::unrefData | ( |  | ) |

## Member Data Documentation

bool osgTerrain::DataSet::DestinationTile::_complete

DataSet* osgTerrain::DataSet::DestinationTile::_dataSet

bool osgTerrain::DataSet::DestinationTile::_equalized[NUMBER_OF_POSITIONS]

HeightDeltaList osgTerrain::DataSet::DestinationTile::_heightDeltas[NUMBER_OF_POSITIONS]

std::vector<ImageData> osgTerrain::DataSet::DestinationTile::_imagery

unsigned int osgTerrain::DataSet::DestinationTile::_imagery_maxNumColumns

unsigned int osgTerrain::DataSet::DestinationTile::_imagery_maxNumRows

unsigned int osgTerrain::DataSet::DestinationTile::_level

unsigned int osgTerrain::DataSet::DestinationTile::_maxSourceLevel

osg::ref_ptr<DestinationData> osgTerrain::DataSet::DestinationTile::_models

std::string osgTerrain::DataSet::DestinationTile::_name

DestinationTile* osgTerrain::DataSet::DestinationTile::_neighbour[NUMBER_OF_POSITIONS]

GLenum osgTerrain::DataSet::DestinationTile::_pixelFormat

osg::ref_ptr<DestinationData> osgTerrain::DataSet::DestinationTile::_terrain

unsigned int osgTerrain::DataSet::DestinationTile::_terrain_maxNumColumns

unsigned int osgTerrain::DataSet::DestinationTile::_terrain_maxNumRows

float osgTerrain::DataSet::DestinationTile::_terrain_maxSourceResolutionX

float osgTerrain::DataSet::DestinationTile::_terrain_maxSourceResolutionY

unsigned int osgTerrain::DataSet::DestinationTile::_tileX

unsigned int osgTerrain::DataSet::DestinationTile::_tileY

The documentation for this class was generated from the following file:

- DataSet